import request from '@/utils/request'

// 查询关键零部件和事业部关系列表
export function listRelation(query) {
  return request({
    url: '/control/partsBusinessRelation/list',
    method: 'get',
    params: query
  })
}

// 查询关键零部件和事业部关系列表
export function getPartsList(query) {
  return request({
    url: '/control/partsBusinessRelation/partsList',
    method: 'get',
    params: query
  })
}

//获取事业部下拉列表
export function listbusinessUnit(query) {
  return request({
    url: '/control/partsBusinessRelation/businessUnitList',
    method: 'get',
    params: query
  })
}

// 复制新增
export function addBusinessUnit(data) {
  return request({
    url: '/control/partsBusinessRelation/addBusinessUnit',
    method: 'post',
    data: data
  })
}

//添加事业部
export function copyAdd(data) {
  return request({
    url: '/control/partsBusinessRelation/copyAdd',
    method: 'post',
    data: data
  })
}

 //删除
export function deleteById(id) {
  return request({
    url: '/control/partsBusinessRelation/deleteById/' + id,
    method: 'delete'
  })
}
