import request from '@/utils/request'

// 获取制造工厂列表
export function getList(query) {
  return request({
    url: '/control/systemFactory/getList',
    method: 'get',
    params: query,
  })
}
// 新增制造工厂
export function insertFactory(query) {
  return request({
    url: '/control/systemFactory/insert',
    method: 'post',
    data: query,
  })
}
// 编辑制造工厂
export function updateFactory(query) {
  return request({
    url: '/control/systemFactory/update',
    method: 'post',
    data: query,
  })
}

export function getAllFactoryName(query) {
  return request({
    url: '/control/systemFactory/getAllFactoryName',
    method: 'get',
    data: query,
  })
}
