import request from '@/utils/request'

// 查询列表
export function getDataList(query) {
  return request({
    url: '/control/ccapProjectManagement/getDataList',
    method: 'get',
    params: query
  })
}


// 获取所有事业部列表
export function getAllBusinessUnitList() {
  return request({
    url: '/control/ccapProjectManagement/getAllBusinessUnitList',
    method: 'get'
  })
}
// 根据id获取所有项目列表
export function getProjectListById(data) {
  return request({
    url: '/control/ccapProjectManagement/getProjectListById',
    method: 'get',
    params:data
  })
}

// 根据id新增一条抽屉里面的数据
export function inserTableData(data) {
  return request({
    url: '/control/ccapProjectManagement/inserTableData',
    method: 'post',
    data:data
  })
}
// 批量删除
export function deleteBatch(ids) {
  return request({
    url: '/control/ccapProjectManagement/batch/'+ids,
    method: 'delete'
  })
}
// 编辑
export function updateCcap(data) {
  return request({
    url: '/control/ccapProjectManagement/updateCcap',
    method: 'post',
    data:data
  })
}
// 获取所有事业部（除了奇瑞，除了列表里面的出现的）
export function getBusinessExclude() {
  return request({
    url: '/control/ccapProjectManagement/getBusinessExclude',
    method: 'get'
  })
}

// 获取所有事业部（除了奇瑞，除了列表里面的出现的在第一条数据的）-复制新增
export function getBusinessExclude2() {
  return request({
    url: '/control/ccapProjectManagement/getBusinessExclude2',
    method: 'get'
  })
}


// 添加事业部
export function addBusinessUnit(data) {
  return request({
    url: '/control/ccapProjectManagement/addBusinessUnit',
    method: 'post',
    data:data
  })
}

// 复制新增
export function coypAddCcapManager(data) {
  return request({
    url: '/control/ccapProjectManagement/coypAddCcapManager',
    method: 'post',
    data:data
  })
}
// 删除主表
export function deletetable(id) {
  return request({
    url: '/control/ccapProjectManagement/deletetable/'+id,
    method: 'DELETE'
  })
}
