import request from '@/utils/request'

// 查询备案参数总表列表
export function listParameter(query) {
  return request({
    url: '/control/parameter/list',
    method: 'get',
    params: query
  })
}

// 查询备案参数总表详细
export function getParameter(id) {
  return request({
    url: '/control/parameter/' + id,
    method: 'get'
  })
}

// 新增备案参数总表
export function addParameter(data) {
  return request({
    url: '/control/parameter',
    method: 'post',
    data: data
  })
}

// 修改备案参数总表
export function updateParameter(data) {
  return request({
    url: '/control/parameter',
    method: 'put',
    data: data
  })
}

// 删除备案参数总表
export function delParameter(id) {
  return request({
    url: '/control/parameter/' + id,
    method: 'delete'
  })
}
