import request from '@/utils/request'

// 获取所有事业部列表
export function getUnitList() {
    return request({
        url: '/control/unit/getAllBusinessUnitName',
        method: 'get'
    })
}
// 查询国内品牌数据列表
export function brandData() {
    return request({
        url: '/control/brandData/list?type=国内',
        method: 'get'
    })
}
// 获取所有制造商数据-生产地址
export function getALLManufacturerList() {
    return request({
        url: '/control/notificationManagement/getALLManufacturerList',
        method: 'get'
    })
}
// 获取所有车型代码
export function getAllModelCode() {
    return request({
        url: '/control/notificationManagement/getAllModelCode',
        method: 'get'
    })
}

// 获取所有人员列表
export function getALLUserList() {
    return request({
        url: '/system/dept/userDeptList',
        method: 'get'
    })
}
// 新增
export function insert(data) {
    return request({
        url: '/control/notificationManagement/insert',
        method: 'post',
        data:data
    })
}
// 获取列表
export function list(data) {
    return request({
        url: '/control/notificationManagement/list',
        method: 'get',
        params:data
    })
}
// 根据人员ids获取人员信息
export function getPersonnelInfoByIdsInfoByIds(ids) {
    return request({
        url: '/control/notificationManagement/getPersonnelInfoByIdsInfoByIds/'+ids,
        method: 'get'
    })
}
